Bug 453102 - Icons-Only Task Manager has a minimum width/height even when not showing anything
Summary: Icons-Only Task Manager has a minimum width/height even when not showing anyt...
Status: ASSIGNED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.24.4
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-27 21:17 UTC by Victor Pavan
Modified: 2022-06-18 15:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pavan 2022-04-27 21:17:00 UTC
SUMMARY

When filtering only minimized windows, if there is no minimized window, the applet occupies the size of a icon, leaving a blank space (tested with both latte and plasma panel)

STEPS TO REPRODUCE
1.  Set to show only minimized windows
2.  Leave no windows maximized

OBSERVED RESULT

The applet leaves a blank space on the panel.

EXPECTED RESULT

The adjacent applets should come close together, reducing the overall occupied space.

SOFTWARE/OS VERSIONS
Linux: Arch Linux
KDE Plasma Version: 5.24.4 
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2022-05-17 23:09:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/947
Comment 2 Nate Graham 2022-05-18 19:00:43 UTC
Git commit 82442fbe8843dc8e09bb8541bc5eb88948058753 by Nate Graham, on behalf of Victor Pavan.
Committed on 18/05/2022 at 19:00.
Pushed by ngraham into branch 'master'.

applets/taskmanager: when empty, make width/height small but not zero

This makes the panel account for the change in size so that its minimum width or
height isn't too big.
FIXED-IN: 5.25

M  +10   -2    applets/taskmanager/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/82442fbe8843dc8e09bb8541bc5eb88948058753
Comment 3 Fushan Wen 2022-06-18 13:34:47 UTC
Can reproduce
Comment 4 Bug Janitor Service 2022-06-18 15:26:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/989